Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 456006 (CVE-2010-5107) - <net-misc/openssh-6.6_p1-r1: mitigate connection slot exhaustion attacks (CVE-2010-5107)
Summary: <net-misc/openssh-6.6_p1-r1: mitigate connection slot exhaustion attacks (CVE...
Status: RESOLVED FIXED
Alias: CVE-2010-5107
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 12:37 UTC by Agostino Sarubbo
Modified: 2014-05-11 13:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-02-07 12:37:54 UTC
From $URL :

A denial of service flaw was found in the way default server configuration of OpenSSH, a open 
source implementation of SSH protocol versions 1 and 2, performed management of its connection 
slot. A remote attacker could use this flaw to cause connection slot exhaustion on the server.

References:
[1] http://seclists.org/oss-sec/2012/q1/1
[2] http://www.openwall.com/lists/oss-security/2013/02/06/5
[3] http://www.openwall.com/lists/oss-security/2013/02/07/3

Relevant upstream patches:
[4] http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/servconf.c?r1=1.234#rev1.234
[5] http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/sshd_config.5?r1=1.156#rev1.156
[6] http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/sshd_config?r1=1.89#rev1.89
Comment 1 SpanKY gentoo-dev 2013-02-08 07:50:30 UTC
the DoS can't be prevented, just [further] mitigated
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2013-04-11 16:27:01 UTC
CVE-2010-5107 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-5107):
  The default configuration of OpenSSH through 6.1 enforces a fixed time limit
  between establishing a TCP connection and completing a login, which makes it
  easier for remote attackers to cause a denial of service (connection-slot
  exhaustion) by periodically making many new TCP connections.
Comment 3 Sergey Popov gentoo-dev Security 2014-05-11 13:19:31 UTC
Default values from MaxStartups is correct in current stable openssh in Gentoo(net-misc/openssh-6.6_p1-r1), so, i assume this is fixed.

Added this to existing GLSA draft
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2014-05-11 13:56:39 UTC
This issue was resolved and addressed in
 GLSA 201405-06 at http://security.gentoo.org/glsa/glsa-201405-06.xml
by GLSA coordinator Mikle Kolyada (Zlogene).